FROM 192.168.31.249:5000/front-end/node:12.13.0
WORKDIR /app
COPY package*.json ./
RUN npm install
COPY ./ .
RUN npm run build:prod

FROM 192.168.31.249:5000/front-end/nginx:latest
RUN mkdir /app
COPY --from=0 /app/dist /app
COPY nginx.conf /etc/nginx/nginx.conf
